ScreenMeetTest logoScreenMeetTest documentationAPI referencescreenmeettest
API reference
POST/partner/organizations

Create a new partner org

Create a new sub-org under your master partner org. The request should be authorized using the master org signing key.

Authorization

bearerAuth http (bearer)

Request body

`instanceUrl` -

application/json
object
namestring

string
customerIdstring

string
externalIdstring

string
instanceUrlstring

string
inheritConfigsboolean

boolean
{
  "Example": {
    "value": {
      "name": "test_eajwt_suborg1",
      "customerId": "",
      "externalId": "easuborg1",
      "instanceUrl": "https://screenmeet.com",
      "inheritConfigs": true
    }
  }
}

Responses

200

OK

403

Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied

application/json
object
codenumber

number
refcodenumber

number
descriptionstring

string
X-Request-Idstring

string
{
  "PermissionDenied": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
      "X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
    }
  },
  "MalformedJWTOrBadSignature": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
      "X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
    }
  }
}